package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 我的收藏
 * </p>
 *
 * @author yansen
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaFavorites对象", description="我的收藏")
public class TaFavorites implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "收藏ID")
    @TableId(value = "fav_id", type = IdType.UUID)
    private String favId;

    @ApiModelProperty(value = "对象类型")
    private String targetType;

    @ApiModelProperty(value = "对象ID")
    private String targetId;

    @ApiModelProperty(value = "收藏名称;冗余")
    private String targetName;

    @ApiModelProperty(value = "收藏人ID")
    private String personId;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
