package com.yunzhi.training.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaStudent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.training.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 学员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaStudentMapper extends BaseMapper<TaStudent> {

    IPage<TaStudent> getPageBy(IPage<TaStudent> pg,
                               @Param("termId") String termId,
                               @Param("classId") String classId,
                               @Param("name") String name,
                               @Param("phone") String phone);

    TaStudent getByPerson(@Param("personId") String personId, @Param("phone") String phone);

    List<ChartParam> countByTerm();

    List<ChartParam> countByClass(@Param("termId") String termId);

    List<ChartParam> countByAge(@Param("termId") String termId);
}
