package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.training.common.Constants;
import com.yunzhi.training.entity.SysUser;
import com.yunzhi.training.mapper.SysUserMapper;
import com.yunzhi.training.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-18
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public SysUser getByLoginName(String userName) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("login_name", userName);
        queryWrapper.gt("state", Constants.STATUS_DELETED);

        return getOne(queryWrapper);
    }
}
