package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.training.common.Constants;
import com.yunzhi.training.entity.TaAnswer;
import com.yunzhi.training.entity.TaQuestion;
import com.yunzhi.training.mapper.TaAnswerMapper;
import com.yunzhi.training.service.ITaAnswerService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 问题答案 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaAnswerServiceImpl extends BaseServiceImpl<TaAnswerMapper, TaAnswer> implements ITaAnswerService {

    @Override
    public List<TaAnswer> getListByQuestion(TaQuestion taQuestion, boolean normal) {
        QueryWrapper<TaAnswer> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("question_id", taQuestion.getQuestionId());
        queryWrapper.eq(normal, "state", Constants.STATUS_NORMAL);
        queryWrapper.gt(!normal, "state", Constants.STATUS_DELETED);
        queryWrapper.orderByAsc("opt_code");

        return list(queryWrapper);
    }
}
