package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.training.common.StringUtils;
import com.yunzhi.training.entity.TaSignClass;
import com.yunzhi.training.mapper.TaSignClassMapper;
import com.yunzhi.training.service.ITaSignClassService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 预签到班级 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-23
 */
@Service
public class TaSignClassServiceImpl extends ServiceImpl<TaSignClassMapper, TaSignClass> implements ITaSignClassService {

    @Override
    public boolean removeBySign(String signId) throws Exception {
        QueryWrapper<TaSignClass> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("sign_id", signId);
        return remove(queryWrapper);
    }

    @Override
    public boolean removeBy(String signId, String termId, String classId) {
        QueryWrapper<TaSignClass> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("sign_id", signId);
        queryWrapper.eq(!StringUtils.isEmpty("termId"), "term_id", termId);
        queryWrapper.eq(!StringUtils.isEmpty("classId"), "class_id", classId);
        return remove(queryWrapper);
    }
}
