package com.yunzhi.training.service.impl;

import com.yunzhi.training.entity.TaSignClass;
import com.yunzhi.training.entity.TaSignIn;
import com.yunzhi.training.mapper.TaSignInMapper;
import com.yunzhi.training.service.ITaSignInService;
import com.yunzhi.training.vo.ChartParam;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 签到主表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaSignInServiceImpl extends BaseServiceImpl<TaSignInMapper, TaSignIn> implements ITaSignInService {

    @Override
    public List<ChartParam> getRatio() {
        return baseMapper.getRatio();
    }

    @Override
    public boolean updateTotalNum(String signId) {
        return baseMapper.updateTotalNum(signId) > 0;
    }

    @Override
    public List<ChartParam> getRatioByTerm() {
        return baseMapper.getRatioByTerm();
    }

    @Override
    public List<ChartParam> signRatioByDaily(String start, Integer days) {
        return baseMapper.signRatioByDaily(start, days);
    }

    @Override
    public List<ChartParam> signRatioByMonthly(String start, Integer num) {
        // start 格式为 2020-03, 需要修改为 2020-03-01
        start += "-01";
        return baseMapper.signRatioByMonthly(start, num);
    }
}
