package com.yunzhi.training.service.impl;

import com.yunzhi.training.entity.TaPerson;
import com.yunzhi.training.entity.TaSignPlain;
import com.yunzhi.training.mapper.TaSignPlainMapper;
import com.yunzhi.training.service.ITaSignPlainService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 预签到人员 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaSignPlainServiceImpl extends ServiceImpl<TaSignPlainMapper, TaSignPlain> implements ITaSignPlainService {

    @Override
    public boolean removeBySignId(String signId) {
        baseMapper.deleteBySignId(signId);
        return true;
    }

    @Override
    public boolean isPersonSignAllow(TaPerson taPerson, String signId) {
        Map<String, Long> res = baseMapper.checkPersonSignAllow(taPerson.getPhone(), signId);

        // 如果未设置签到池, 则所有人都可以签到
        Long total = res.get("total");
        if (null == total || total == 0) return true;

        // 否则, 只有在目录内才可以签到
        Long rw = res.get("rw");
        return rw != null && rw > 0;
    }
}
