package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.common.Constants;
import com.yunzhi.training.entity.TaStudent;
import com.yunzhi.training.mapper.TaStudentMapper;
import com.yunzhi.training.service.ITaStudentService;
import com.yunzhi.training.vo.ChartParam;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaStudentServiceImpl extends BaseServiceImpl<TaStudentMapper, TaStudent> implements ITaStudentService {

    @Override
    public IPage<TaStudent> getPageBy(IPage<TaStudent> pg, String termId, String classId, String name, String phone) {
        return baseMapper.getPageBy(pg, termId, classId, name, phone);
    }

    @Override
    public long countALL() {
        QueryWrapper<TaStudent> queryWrapper = new QueryWrapper<>();
        queryWrapper.gt("state", Constants.STATUS_DELETED);

        return count(queryWrapper);
    }

    @Override
    public List<ChartParam> countByTerm() {
        return baseMapper.countByTerm();
    }

    @Override
    public List<ChartParam> countByClass(String termId) {
        return baseMapper.countByClass(termId);
    }

    @Override
    public List<ChartParam> countByAge(String termId) {
        return baseMapper.countByAge(termId);
    }
}
